jvx.geom

## Class PnExplodePolytope

- java.lang.Object
- - jv.object.PsObject
  - - jvx.geom.PnExplodePolytope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf

      public class PnExplodePolytope
      extends PsObject
      implements PsTimeListenerIf

  Class to explode polytopes, that are given by a list of PgPointSet. All PgPointSets get translated by a vector defined by it's center minus a given center. This Vector gets scaled by a double value dependet to the time's double value.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    09.05.01, 1.30 revised (ur) Explosion center point now stays variable, new static getDialog method added.
    21.02.01, 1.30 revised (kp) Adapted to changes in PsTimeListenerIf.
    01.02.01, 1.20 revised (ur) Adapted to changes in PsAnimation_IP.
    12.10.00, 1.10 revised (ur) Center of explosion can be defined now.
    20.06.00, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnExplodePolytope(PgPointSet[] aGeomList, PdVector center)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PsAnimation` | `getAnimation()` Get the animation object of the project which handles the projects animations.
    `PdVector` | `getCenter()` Get the center of explosion.
    `static void` | `getDialog(PgPointSet aGeom)` Get a new PnExplode_Dialog to steer a new animation of exploding polytopes.
    `static PsDialog` | `getDialog(PgPointSet[] aPointSetList, PdVector center)` Create a new instance of PnExplodePolytope and return the dialog panel.
    `java.lang.String` | `getName()` Return name of this PsDynamicIf.
    `boolean` | `hasAnimation()` Check whether this project is registered as listener of an animation object.
    `void` | `setAnimation(PsAnimation anAnimation)` Assign the animation object where this listener is registered.
    `void` | `setCenter(PdVector aVector)` Appoint the center of explosion.
    `boolean` | `setTime(PsTimeEvent te)` Update PgPointSets for a new time value.
    `boolean` | `update(java.lang.Object event)` Update, when dialog gets disposed.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnExplodePolytope

          public PnExplodePolytope(PgPointSet[] aGeomList,
                                   PdVector center)

      Constructor.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Return name of this PsDynamicIf.
      Specified by:
        `getName` in interface `PsTimeListenerIf`
      Specified by:
        `getName` in interface `PsUpdateIf`
      Overrides:
        `getName` in class `PsObject`

    - #### setCenter

          public void setCenter(PdVector aVector)

      Appoint the center of explosion.

    - #### getCenter

          public PdVector getCenter()

      Get the center of explosion.

    - #### getDialog

          public static PsDialog getDialog(PgPointSet[] aPointSetList,
                                           PdVector center)

      Create a new instance of PnExplodePolytope and return the dialog panel.

    - #### update

          public boolean update(java.lang.Object event)

      Update, when dialog gets disposed.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### setTime

          public boolean setTime(PsTimeEvent te)

      Update PgPointSets for a new time value.
      Specified by:
        `setTime` in interface `PsTimeListenerIf`

    - #### getAnimation

          public PsAnimation getAnimation()

      Get the animation object of the project which handles the projects animations. This listener may only have a single animation object which is assigned by the animation object when this listener is registered using `setAnimation(PsAnimation)`.
      Specified by:
        `getAnimation` in interface `PsTimeListenerIf`
      See Also:
        `hasAnimation()`, `setAnimation(PsAnimation)`

    - #### hasAnimation

          public boolean hasAnimation()

      Check whether this project is registered as listener of an animation object.
      Specified by:
        `hasAnimation` in interface `PsTimeListenerIf`
      See Also:
        `getAnimation()`, `setAnimation(PsAnimation)`

    - #### setAnimation

          public void setAnimation(PsAnimation anAnimation)

      Assign the animation object where this listener is registered. This method is invoked by the animation object during registration of this listener, and usually is not required to be called by a user. If this listener has an assigned animation object, then its animation panel may be shown to change the current time of this listener.

      Only one animation object may be assigned to this listener. Subsequent assignments will replace the previous assignment.

      Specified by:
        `setAnimation` in interface `PsTimeListenerIf`
      See Also:
        `getAnimation()`, `hasAnimation()`

    - #### getDialog

          public static void getDialog(PgPointSet aGeom)

      Get a new PnExplode_Dialog to steer a new animation of exploding polytopes.

"

The software JavaView? is copyright protected. All Rights Reserved.
"